3.2 crashes on startup on a Mac

2018-07-03 03:19 AM - Russell Fulton

Status: Closed

Priority: High

Assignee:

Category: mac_os_specific

Affected QGIS version:3.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:Yes Copied to github as #: 27142

Description

I can't get 3.2 to start on my mac.  details here: https://gis.stackexchange.com/questions/288129/qgis-3-2-crashes-on-startup-on-mac-os

Crash report (attached) has details of OS etc. I upgraded Qt to 11.5 (via brew) and installed python 3.66 but that did not help.

I have been able to reinstall 3.0.3 with the current versions of Python and Qt it works fine. Put 3.2 back and it fails to start.

History

#1 - 2018-07-03 04:50 AM - Russell Fulton

an update on this issue:  as reflected in the stackgis post the issue can be resolved by removing the profile and restarting QGIS.  I still have the old profile

id any one is interested.

#2 - 2018-07-04 12:12 AM - Marius Barbos

I've had the same issue on MacOS Sierra when upgraded to 3.2.0. After removing QGIS 3 profile (thanks Russell for the tip) and installed a fresh copy of

QGIS 3.2.0 everything was fine until I have installed QuickMapServices plugin when started again to crash at launch. QuickMapServices was the only

plugin, of all that I installed, that caused such behavior. This observation is based on the empirical trial and error method. Could there be a problem with

this plugin on mac?

#3 - 2018-07-04 10:25 AM - Niels van Hal

Sorry, but can somebody explain me how to remove the QGIS 3 profile? I have not found the right information (online) how to do this. (My QGIS 3.2 Bonn

won't start on my Mac too.) Thank you!

#4 - 2018-07-04 10:14 PM - Russell Fulton

Niels look at the stackgis link in the original report.  details there, it has moved in 3.2.

BTW Other people have commented on the stackgis post fingering QuickMapServices as the common point in this issue.

#5 - 2018-07-04 11:26 PM - Russell Fulton

if it is QMS which is the problem then adding the plug in to 3.2 once you have it going seems to work fine

2025-04-27 1/3

https://gis.stackexchange.com/questions/288129/qgis-3-2-crashes-on-startup-on-mac-os


#6 - 2018-08-31 08:29 PM - Eron Lloyd

Just reporting in that I had the same issue upgrading from 3.2.1 to 3.2.2 on macOS. Removing the profile in ~/Library/Application\ Support/QGIS/QGIS3/

resolved the issue. Something still appears to be broken regarding profiles.

#7 - 2018-09-02 05:01 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

- Category changed from GUI to Build/Install

Eron Lloyd wrote:

Just reporting in that I had the same issue upgrading from 3.2.1 to 3.2.2 on macOS. Removing the profile in ~/Library/Application\

Support/QGIS/QGIS3/ resolved the issue. Something still appears to be broken regarding profiles.

Can the original issuer check this? thanks.

#8 - 2018-09-05 06:48 PM - Denis Rouzaud

- Category changed from Build/Install to mac_os_specific

reading on stack overflow the issue comes from quick map services plugin.

#9 - 2018-09-05 08:34 PM - Eron Lloyd

Denis Rouzaud wrote:

reading on stack overflow the issue comes from quick map services plugin.

I should have mentioned that I did not have QMS installed at that time, and used a fresh original profile with nothing imported from 2.x.

#10 - 2018-09-06 07:34 AM - Damon Grace

I had 3.2.1 on macOS and it was fine until i installed the quickmapservices plugin. It displayed an error, so i reinstalled the plugin and it seemed okay (but

it didn't work). I closed down QGIS and tried to re-open it, but now QGIS crashes before it even opens. I've tried uninstalling QGIS and re-installing

QGIS3.2.2 but I still get the same problem. I've looked in ~/Library/Application Support but i don't even have a folder named QGIS to delete any profile from

(as per the comments above)...

I'm not an expert and i've only recently shifted across from Widows and ESRI. Any tips on how to rectify this? QGIS is 100% unusable for me right now!

#11 - 2018-09-06 11:44 AM - Giovanni Manghi

I'm not an expert and i've only recently shifted across from Widows and ESRI. Any tips on how to rectify this? QGIS is 100% unusable for me right

now!
remove the 3rd party plugins folder.

#12 - 2018-09-06 02:20 PM - Damon Grace

Thanks! It now works for me!

I deleted everything in the folder ~/Users/MyName/Library/Application Support/QGIS/QGIS3/profiles/ to get it to work. Simply deleting the profiles.ini file

and the Quick Map Services folder wasn't enough in my case so i got rid of everything.

(For other Mac newbies, you need to display hidden folders to find the above file path (Command Shift Period)).

#13 - 2018-09-14 06:33 PM - Joao Paulouro

I remember this issue, and while its fixed now I thought I would share the solution that worked for me. Particularly since the issue remains open.

I tracked the problem down to having snapping enabled at startup in the preferences. If you disable this, QGIS will start normally.

If you can't start it up, there is no need to delete profiles.ini. Simply remove / disable the snapping in profiles.ini.

#14 - 2018-09-14 07:06 PM - Giovanni Manghi

Joao Paulouro wrote:

I remember this issue, and while its fixed now I thought I would share the solution that worked for me. Particularly since the issue remains open.

I tracked the problem down to having snapping enabled at startup in the preferences. If you disable this, QGIS will start normally.

If you can't start it up, there is no need to delete profiles.ini. Simply remove / disable the snapping in profiles.ini.

then if you re-enable the option qgis crashes again on start? of yes this must be reported clearly in a new ticket, or by modifying this.

#15 - 2018-10-19 07:57 PM - Denis Rouzaud

- Resolution set to up/downstream

- Status changed from Feedback to Closed
